/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package batchable;

import MorphAnalyser.Template3D;
import MorphAnalyser.MorphAnalyser2;
import MorphAnalyser.ObjectGeometry;
import MorphAnalyser.batch.Batchable3D;

/**
 * A plugin that takes a number of .obj files and crops them all to a plane then
 * gives the user the option of where to save the resulting files
 * @author marie
 */
public class BatchCropPlugin3D implements  Batchable3D{

MorphAnalyser2 morphanalyser;

    @Override
   public boolean process(ObjectGeometry obj, Template3D t3d, boolean single) {
       float[] plane = morphanalyser.getPlane();
       obj.trimToPlane2(plane);
   return true;

   }


    @Override
    public boolean initialise(MorphAnalyser2 morphanalyser) {
        this.morphanalyser = morphanalyser;
       return true;
    }


    @Override
    public void finish() {

    }

  
    @Override
    public String getName() {
        return "Crop";
    }

    @Override
    public boolean getReadTemplate3D() {
        return false;
    }


    @Override
    public boolean getWriteTemplate3D() {
 return false;
    }


    @Override
    public boolean getWriteObjectGeometry() {
 return true;
    }


}
